<template name="installComponentGroup">
    {{#requireAuthentication}}
        <div id="install-component-group-page" class="container">
            <div class="well {{wellSize}}">
                <h1>Component Installation</h1>
                 {{>Template.dynamic template='errorViewer' data=error}}

                <!-- Search results -->
                {{#if equals currentStep 1}}
                    <p>Search for the component that you want to install.</p>
                    <div class="form-group label-floating">
                        <input type="text" class="form-control search-box" placeholder="Search..." />
                    </div>
                    {{#if searchResult}}
                    <div class="list-group">
                        {{#each searchResult.componentGroups}}
                        <div class="list-group-item">
                            <div class="row-content">
                                <div class="action-secondary">
                                    <a href="javascript:void(0)" class="btn btn-raised btn-primary select-component-group btn-continue">Install<div class="ripple-container"></div></a>
                                </div>
                                <h4 class="list-group-item-heading">{{name}} <span class="version">({{version}})</span></h4>
                                <p class="list-group-item-text">{{description}}</p>
                            </div>
                        </div>
                        <div class="list-group-separator"></div>
                        {{/each}}
                    </div>
                    {{/if}}
                {{/if}}
                <!-- Enter Component options, if there are any -->
                {{#if equals currentStep 2}}
                    <p>Enter component options.</p>
                    {{#if componentGroup.options}}
                        <div class="line-seperator"></div>
                        <legend>Group Options</legend>
                        {{#each componentGroup.options}}
                            <div class="form-group">
                                <label class="col-md-2 control-label">{{name}}</label>
                                <input type="text" class="form-control transform-option-value" value="{{value}}"/>
                            </div>
                        {{/each}}
                    {{/if}}
                    {{#each componentGroup.components}}
                        <div class="line-seperator"></div>
                        <legend>{{name}} Component</legend>
                        {{#each options}}
                            <div class="form-group">
                                <label class="col-md-2 control-label">{{name}}</label>
                                <input type="text" class="form-control transform-option-value" value="{{value}}"/>
                            </div>
                        {{/each}}
                    {{/each}}
                    <div class="center">
                        <button type="submit" class="btn btn-default btn-cancel">Cancel<div class="ripple-container"></div></button>
                        <button type="submit" class="btn btn-primary btn-continue">Continue<div class="ripple-container"></div></button>
                    </div>
                {{/if}}
                <!-- Select device -->
                {{#if equals currentStep 3}}
                    <p>Select the device that you want to install the component onto.</p>
                    <div class="badge-viewer">
                        {{#each devices}}
                            <div class="custom-badge select-device btn-continue">
                                <div class="name-badge">
                                    <span>
                                        <span>{{name}}</span>
                                    </span>
                                    <div class="controls">
                                        <div class="info fa fa-info-circle"></div>
                                    </div>
                                </div>
                                <div class="image-holder">
                                    <div class="image fa fa-hdd-o"></div> <!-- fa-check-circle-o confirmed -->
                                </div>
                            </div>
                        {{/each}}
                    </div>
                {{/if}}
                <!-- Are you sure want to install? -->
                {{#if equals currentStep 4}}
                    <div class="confirmation">
                        <p>Are you sure you want to install <b>{{componentGroup.name}}</b> on <b>{{device.name}}</b>?</p>
                        <div>
                            <button type="submit" class="btn btn-default btn-cancel">Cancel<div class="ripple-container"></div></button>
                            <button type="submit" class="btn btn-primary btn-continue install">Install<div class="ripple-container"></div></button>
                        </div>
                    </div>
                {{/if}}
                <!-- Waiting for installation to finish -->
                {{#if equals currentStep 5}}
                    {{#if installed}}
                        <div class="installed">
                            <i class="fa fa-check-circle-o" aria-hidden="true"></i>
                            <p>Successfully installed <b>{{componentGroup.name}}</b> component.</p>
                            <div class="line-seperator"></div>
                            <div>
                                <a href="{{pathFor 'installHome'}}">
                                    <button type="submit" class="btn btn-primary">Continue<div class="ripple-container"></div></button>
                                </a>
                            </div>
                        </div>
                    {{else}}
                        <p>Waiting for the component to be installed.</p>
                        <div class="spinner-wrapper">
                            <svg class="spinner" width="65px" height="65px" viewBox="0 0 66 66" xmlns="http://www.w3.org/2000/svg">
                               <circle class="path" fill="none" stroke-width="6" stroke-linecap="round" cx="33" cy="33" r="30"></circle>
                            </svg>
                        </div>
                    {{/if}}
                {{/if}}
            </div>
        </div>
    {{/requireAuthentication}}
</template>
